> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get master NGN wallet



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/wallets/fiat/master
openapi: 3.1.0
info:
  title: FossaPay API
  description: >-
    FossaPay API for checkout wallets, master-wallet payouts, customer
    management, NGN wallets, crypto wallets, transfers, fees, banks, and
    webhooks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-production.fossapay.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/wallets/fiat/master:
    get:
      tags:
        - NGN Wallets
      summary: Get master NGN wallet
      operationId: FiatWalletsController_findMaster
      responses:
        '200':
          description: Master NGN wallet retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FiatMasterWalletResponse'
        '400':
          description: Master NGN wallet not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    FiatMasterWalletResponse:
      type: object
      required:
        - status
        - statusCode
        - message
        - data
      properties:
        status:
          type: string
          const: success
        statusCode:
          type: integer
          const: 200
        message:
          type: string
        data:
          $ref: '#/components/schemas/FiatMasterWallet'
      additionalProperties: true
    ApiError:
      type: object
      properties:
        status:
          oneOf:
            - type: string
            - type: boolean
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties: true
      additionalProperties: true
    FiatMasterWallet:
      type: object
      required:
        - id
        - availableBalance
        - ledgerBalance
        - walletName
        - virtualAccount
      properties:
        id:
          type: string
        availableBalance:
          type: string
        ledgerBalance:
          type: string
        walletName:
          type: string
        virtualAccount:
          type: object
          required:
            - accountNumber
            - bankCode
            - bankName
          properties:
            accountNumber:
              type: string
            bankCode:
              type: string
            bankName:
              type: string
          additionalProperties: true
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````